﻿package
{
	import flash.display.*;
	import flash.text.TextField;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	
	public class Main extends Sprite 
	{
		var mosaic:Mosaic;
		
		
		/**
		 * コンストラクタ
		 */
		function Main():void
		{			
			addEventListener(Event.ENTER_FRAME, update);
			
			
			//モザイク生成	(img = Flashのステージに配置してあるMC
			mosaic = new Mosaic(img, 150, 150, 15, new Circle());
			//mosaic.x = 100, mosaic.y = 300;
			addChild(mosaic);
			
			
			//サイズ変更ボタン (btn = Flashのステージに配置してあるMC
			btn.addEventListener(MouseEvent.MOUSE_UP, onClickBtn);
			btn.buttonMode = true;
		}
		
		
		/**
		 * 更新
		 * @param	e
		 */
		function update(e:Event):void
		{
			//モザイクをマウスに追従
			mosaic.x = this.mouseX - mosaic.width / 2;
			mosaic.y = this.mouseY - mosaic.height/ 2;
			
			//サイズ変更ボタンにかぶらないように値を強制
			if (mosaic.y < 50) mosaic.y = 50;
		}
		
		
		/**
		 * モザイクサイズ変更ボタン
		 * @param	e
		 */
		function onClickBtn(e:MouseEvent):void
		{
			var size:Number = Number(sizeTF.text);
			
			if (!size) {
				size = 12;
				sizeTF.text = "";
			}
			mosaic.setParticleSize(size);
		}
		
	}
}